﻿@model GeneratePlaylistViewModel

@{
    ViewData["Title"] = "Generate playlist";
}

<hr />
<div class="row">
    <div class="col-md-2">
    </div>
    <div class="col-md-7">
        <form asp-action="Create" onsubmit="handleSubmit(event)">
            <table class="table table-borderless" style="background-color: rgba(0, 0, 0, 0.6);">
                <tr>
                    <td>
                        <table class="table">
                            <thead>
                                <tr>
                                    <th><b>Enter playlist title, start and destination town</b></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                                        <div class="form-group">
                                            <label asp-for="Title" class="control-label">Playlist title</label>
                                            <input asp-for="Title" class="form-control field" />
                                            <span asp-validation-for="Title" class="text-danger"></span>
                                        </div>
                                        <div class="form-group">
                                            <label asp-for="StartPoint" class="control-label">From town</label>
                                            <input asp-for="StartPoint" class="form-control field" />
                                            <span asp-validation-for="StartPoint" class="text-danger"></span>
                                        </div>
                                        <div class="form-group">
                                            <label asp-for="EndPoint" class="control-label">To town</label>
                                            <input asp-for="EndPoint" class="form-control field" />
                                            <span asp-validation-for="EndPoint" class="text-danger"></span>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                    <td></td>
                    <td>
                        <table class="table">
                            <thead>
                                <tr>
                                    <th><b>Genre</b></th>
                                    <th><b>Enter percentage</b></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        Rock
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="number" asp-for="Percentage1" class="form-control" id="number1" value="0" onfocusout="validateInput(event)" />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Metal
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="number" asp-for="Percentage2" class="form-control" id="number2" value="0" onfocusout="validateInput(event)" />

                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Jazz
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="number" asp-for="Percentage3" class="form-control" id="number3" value="0" onfocusout="validateInput(event)" />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Classical
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="number" asp-for="Percentage4" class="form-control" id="number4" value="0" onfocusout="validateInput(event)" />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Rap / Hip Hop
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <input type="number" asp-for="Percentage5" class="form-control" id="number5" value="0" onfocusout="validateInput(event)" />
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <p id="validationMessage"></p>

                        <script src="~/js/generatePlaylist.js"></script>

                        <div class="form-group">
                            <input type="submit" value="Generate" class="btn btn-outline-warning" />
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </div>
</div>
 
<div>
    <a asp-action="Index" class="btn btn-outline-warning">Back to My Playlists</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
